import { createContext, useContext, useState } from "react";

const preview = {
  logManagerServers: [],
};

const ConsolesContext = createContext(preview);

export const useConsolesContext = () => useContext(ConsolesContext);

export default function ConsolesProvider({ children }) {
  const [connectedLogManagerServers, setConnectedLogManagerServers] = useState(
    []
  );

  return (
    <ConsolesContext.Provider
      value={{
        connectedLogManagerServers,
        setConnectedLogManagerServers,
      }}
    >
      {children}
    </ConsolesContext.Provider>
  );
}
